> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RWA Data by ID

> To query all the metadata, market data and tokens of a RWA based on a particular RWA ID

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Find an RWA's API ID via [RWA List](/reference/rwas-list).
* Returns metadata only by default — set `tokens` and `tokenized_market_data` to `true` to include those objects.
* Each `tokens.id` is also a coin ID. Use it with [Coin Data by ID](/reference/coins-id) to query the individual token.

<Note>
  `tokenized_market_data` reflects the aggregated onchain tokenized market, not the underlying stock or commodity spot market. All values are in USD.
</Note>

<CacheInfo rate="30 seconds" />


## OpenAPI

````yaml openapi-specs/pro-api.json get /rwas/{id}
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /rwas/{id}:
    get:
      summary: RWA Data by ID
      description: >-
        To query all the metadata, market data and tokens of a RWA based on a
        particular RWA ID
      operationId: rwas-id
      parameters:
        - name: id
          in: path
          required: true
          description: |-
            RWA ID. 
            *refers to [`/rwas/list`](/reference/rwas-list)
          schema:
            type: string
            default: gold
        - name: sparkline
          in: query
          required: false
          description: |-
            Include sparkline 7-day data. 
            Default: false
          schema:
            type: boolean
        - name: tokens
          in: query
          required: false
          description: |-
            Include tokens data. 
            Default: false
          schema:
            type: boolean
        - name: tokenized_market_data
          in: query
          required: false
          description: |-
            Include tokenized market data. 
            Default: false
          schema:
            type: boolean
      responses:
        '200':
          description: RWA data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RwasID'
              example:
                id: gold
                symbol: xau
                name: Gold
                asset_type: commodity
                image:
                  thumb: >-
                    https://assets.coingecko.com/rwas/images/2/thumb/gold.png?1710000000
                  small: >-
                    https://assets.coingecko.com/rwas/images/2/small/gold.png?1710000000
                  large: >-
                    https://assets.coingecko.com/rwas/images/2/large/gold.png?1710000000
                web_slug: gold
                tokens:
                  - id: pax-gold
                    symbol: paxg
                    name: PAX Gold
                    platforms:
                      ethereum: '0x45804880de22913dafe09f4980848ece6ecbaf78'
                    issuer_details:
                      id: paxos
                      name: Paxos
                tokenized_market_data:
                  current_price: 2412.55
                  market_cap: 4827893517
                  total_volume: 1875000000
                  high_24h: 2421.9
                  low_24h: 2398.4
                  price_change_24h: 8.35
                  price_change_percentage_24h: 0.3472
                  market_cap_change_24h: 50279934
                  market_cap_change_percentage_24h: 1.1
                  last_updated: '2026-07-31T15:24:00+00:00'
                  sparkline_in_7d:
                    price:
                      - 2388.1
                      - 2395.6
                      - 2401.2
                      - 2399.8
                      - 2408.4
                      - 2410.1
                      - 2412.55
                  price_change_percentage_1h_in_currency: 0.0421
                  price_change_percentage_24h_in_currency: 0.3472
                  price_change_percentage_7d_in_currency: 1.0234
                  price_change_percentage_14d_in_currency: 2.1187
                  price_change_percentage_30d_in_currency: -1.4402
                  price_change_percentage_200d_in_currency: 9.8815
                  price_change_percentage_1y_in_currency: 14.2076
                last_updated: '2026-07-31T15:24:00+00:00'
components:
  schemas:
    RwasID:
      type: object
      required:
        - id
        - symbol
        - name
        - asset_type
        - image
        - web_slug
        - last_updated
      properties:
        id:
          type: string
          description: RWA ID
        symbol:
          type: string
          description: RWA symbol
        name:
          type: string
          description: RWA name
        asset_type:
          type: string
          enum:
            - stock
            - commodity
          description: RWA asset type
        image:
          type: object
          description: Image URLs of the token with the largest market cap
          properties:
            thumb:
              type: string
              description: Thumbnail image URL
            small:
              type: string
              description: Small image URL
            large:
              type: string
              description: Large image URL
        web_slug:
          type: string
          description: RWA web slug
        tokens:
          type: array
          description: Tokens tracking this RWA
          items:
            type: object
            properties:
              id:
                type: string
                description: Token ID
              symbol:
                type: string
                description: Token symbol
              name:
                type: string
                description: Token name
              platforms:
                type: object
                description: Token asset platform and contract address
                additionalProperties:
                  type: string
              issuer_details:
                type: object
                description: Token issuer details
                properties:
                  id:
                    type: string
                    description: Issuer ID
                  name:
                    type: string
                    description: Issuer name
        tokenized_market_data:
          type: object
          description: Aggregated tokenized market data
          properties:
            current_price:
              type: number
              nullable: true
              description: Current price in target currency
            market_cap:
              type: number
              nullable: true
              description: Market cap in target currency
            total_volume:
              type: number
              nullable: true
              description: Total trading volume in target currency
            high_24h:
              type: number
              nullable: true
              description: 24-hour price high in target currency
            low_24h:
              type: number
              nullable: true
              description: 24-hour price low in target currency
            price_change_24h:
              type: number
              nullable: true
              description: 24-hour price change in target currency
            price_change_percentage_24h:
              type: number
              nullable: true
              description: 24-hour price change percentage
            market_cap_change_24h:
              type: number
              nullable: true
              description: 24-hour market cap change in target currency
            market_cap_change_percentage_24h:
              type: number
              nullable: true
              description: 24-hour market cap change percentage
            last_updated:
              type: string
              format: date-time
              description: Last updated timestamp
            sparkline_in_7d:
              type: object
              description: Sparkline price data for the last 7 days
              properties:
                price:
                  type: array
                  items:
                    type: number
                  description: Array of price values
            price_change_percentage_1h_in_currency:
              type: number
              nullable: true
              description: 1-hour price change percentage in target currency
            price_change_percentage_24h_in_currency:
              type: number
              nullable: true
              description: 24-hour price change percentage in target currency
            price_change_percentage_7d_in_currency:
              type: number
              nullable: true
              description: 7-day price change percentage in target currency
            price_change_percentage_14d_in_currency:
              type: number
              nullable: true
              description: 14-day price change percentage in target currency
            price_change_percentage_30d_in_currency:
              type: number
              nullable: true
              description: 30-day price change percentage in target currency
            price_change_percentage_200d_in_currency:
              type: number
              nullable: true
              description: 200-day price change percentage in target currency
            price_change_percentage_1y_in_currency:
              type: number
              nullable: true
              description: 1-year price change percentage in target currency
        last_updated:
          type: string
          format: date-time
          description: Last updated timestamp
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````